import 'package:flutter/material.dart';
import 'package:store_ds/store.dart';
// name, address, zip, date, age , Boolean/yes/no, drop down pick list too.

class Home extends StatelessWidget {
  const Home({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    useStore('formstore');
    saveToStore('alphabets', 'A');
    logStore();

    return DropdownButton<String>(
      items: <String>['A', 'B', 'C', 'D'].map((String value) {
        return DropdownMenuItem<String>(
          value: value,
          child: Text(value),
        );
      }).toList(),
      onChanged: (value) {
        saveToStore('alphabets', value);
      },
      value: getFromStore('alphabets'),
    );

    return Container();
  }
}
