import 'package:store_ds/store.dart';
import 'package:flutter_test/flutter_test.dart';

main() {
  test('store test', () {
    useStore('storeName');
    saveToStore('key', 4);

    useStore('storeName1');
    saveToStore('key1', '40');

    useStore('storeName');

    expect(getFromStore('key') * 8, equals(32));
  });

  test('store delete', () {
    useStore('storeName');
    saveToStore('key', 4);
    removeStore();
    expect(serveStore('storeName'), isNull);
    expect(serveStore(), isNotNull);
  });

  test('save to initialstore', () {
    saveToStore('key', 4);
    expect(getFromStore('key') * 8, equals(32));
  });
}
